Loading...
Searching...
No Matches
gx_engine::PluginChange Struct Reference

`#include <gx_engine.h>`

## Public Types

enum | pc { remove , update , update_category , add }

## Public Member Functions

| PluginChange (Plugin *pl_, pc status_)

## Public Attributes

Plugin * | pl
enum gx_engine::PluginChange::pc | status

## Detailed Description

Definition at line 64 of file gx_engine.h.

## Member Enumeration Documentation

## pc

enum gx_engine::PluginChange::pc

Enumerator
remove |
update |
update_category |
add |

Definition at line 66 of file gx_engine.h.

## Constructor & Destructor Documentation

## PluginChange()

gx_engine::PluginChange::PluginChange | ( | Plugin * | pl_,
|  | pc | status_ )

inline

Definition at line 67 of file gx_engine.h.

## Member Data Documentation

## pl

Plugin* gx_engine::PluginChange::pl

Definition at line 65 of file gx_engine.h.

Referenced by PluginChange().

## status

enum gx_engine::PluginChange::pc gx_engine::PluginChange::status

Referenced by PluginChange().

The documentation for this struct was generated from the following file:

- src/headers/gx_engine.h